Subject: Re: linux-next: duplicate patches in the regulator tree

From: Lee Jones <[email-masked]>
Date: Wed, 16 Oct 2024 14:09:24 +0100

On Wed, 16 Oct 2024, Mark Brown wrote:

> On Wed, Oct 16, 2024 at 08:55:10AM +0100, Lee Jones wrote:
> > On Wed, 16 Oct 2024, Stephen Rothwell wrote:
> 
> > > The following commits are also in the mfd tree as different commits
> > > (but the same patches):
> 
> > >   d7a5f27342a8 ("mfd: sec-core: add s2dos05 support")
> > >   ef9690c04f3b ("dt-bindings: mfd: add samsung,s2dos05")
> 
> > And these ones do not follow the style expected by the subsystem.
> 
> > Mark can you please remove these without reverting and further dirtying
> > MFD's history please?  One little rebase isn't going to hurt in the long
> > run. :)
> 
> There's additional stuff on top of them now and I'm not clear that the
> regulator patch would build without the MFD.  I don't understand why you
> said to apply the patches after I'd reviewed the regulator patch,
> usually you insist on waiting until all other subsystems have reviewed
> before applying the MFD cores :(

I said to apply the regulator patch because it looked like it didn't
have any dependencies.  The latter part was my mistake as now I see that
it did have deps.

-- 
Lee Jones [李琼斯]